package com.ruoyi.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 电子围栏目标对象 hw_fence_target
 * 
 * @author xins
 * @date 2023-09-15
 */
public class HwFenceTarget extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 电子围栏ID */
    @Excel(name = "电子围栏ID")
    private Long electronicFenceId;

    /** 目标类型（1、设备，2、监控单元） */
    @Excel(name = "目标类型", readConverterExp = "1=、设备，2、监控单元")
    private String targetType;

    /** target_type为1时，关联表hw_device字段device_id
target_type为2时，关联表hw_monitor_unit字段monitor_unit_id */
    private Long targetId;

    public void setElectronicFenceId(Long electronicFenceId) 
    {
        this.electronicFenceId = electronicFenceId;
    }

    public Long getElectronicFenceId() 
    {
        return electronicFenceId;
    }
    public void setTargetType(String targetType) 
    {
        this.targetType = targetType;
    }

    public String getTargetType() 
    {
        return targetType;
    }
    public void setTargetId(Long targetId) 
    {
        this.targetId = targetId;
    }

    public Long getTargetId() 
    {
        return targetId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("electronicFenceId", getElectronicFenceId())
            .append("targetType", getTargetType())
            .append("targetId", getTargetId())
            .toString();
    }
}
